/*
 * @Author: your name
 * @Date: 2022-01-07 11:29:13
 * @LastEditTime: 2022-02-25 17:17:17
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /newDev/gassafety-progress/gassafetyprogress-web/src/directive/permission/index.js
 */
import hasRole from './hasRole'
import hasPermi from './hasPermi'
import unValue from './unValue'

const install = function(Vue) {
  Vue.directive('hasRole', hasRole)
  Vue.directive('hasPermi', hasPermi)
  Vue.directive('unValue', unValue)
}

if (window.Vue) {
  window['hasRole'] = hasRole
  window['hasPermi'] = hasPermi
  Vue.use(install); // eslint-disable-line
}

export default install
